<?php
    include '_templates/sitewide.php';
    $page['title'] = 'Code of Conduct &sdot; elementary';
    include $template['header'];
?>
            <div class="row">
                <h1>Code of Conduct</h1>
                <h2>Community Guidelines</h2>
                <p>Being involved in the elementary community is an incredible experience; you get to be a part of something big, collaborate with people from around the world, and help people make their computers awesome. However, with that comes a responsibility to follow a predefined set of rules that ensures the best environment for all involved. The following rules are expected to be adhered to anytime you&rsquo;re involved with the community, be it on the elementary website, in an official IRC room, in person, or elsewhere.</p>
                <h2>I. Respect</h2>
                <p>Respecting others is paramount. Be sure to respect people and their opinions, personal background, privacy, and ideas. The elementary community is not a place for disrespectful or hurtful remarks for any reason whatsoever. When giving criticism, approach it constructively and respectfully. Personal attacks are not tolerated. When receiving constructive criticism, take it into consideration and thank the critic for their input, no matter your stance.</p>
                <h2>II. Content</h2>
                <p>The elementary community is made up of thousands of users of varying ages, beliefs, and levels of maturity. Because of this, you must be conscious of the content you produce and the remarks you make. No nudity, excess vulgarity, political content, religious content, or inappropriate content should appear in relation to elementary. Ultimately, the elementary moderators have the final say as to what constitutes as inappropriate. If in doubt, consider whether or not it&rsquo;s something you&rsquo;d show to a room full of people including children and grandmothers from around the world. If you&rsquo;re hesitant, don&rsquo;t do it.</p>
                <p>Screenshots shared in elementary-moderated communities should not contain themes that imitate another OS, photos or illustrations objectifying an individual, or content that otherwise violates our Code of Conduct.</p>
                <h2>III. Rumors and Speculation</h2>
                <p>While the fast-paced and exciting nature of elementary contributes to the want to spread rumors or speculation, avoid it. Discussing future plans is alright, but anytime it&rsquo;s not a verified fact, disclose it as personal speculation or do not discuss it. Spreading inaccurate information can be detrimental to the community, especially if spread in a negative light.</p>
                <h2>IV. Helpful Discussion</h2>
                <p>elementary is powered by individuals coming together in their free time to create something special. It&rsquo;s important to respect that fact and to always try to contribute to healthy, helpful discussion. If in a meeting, keep on-topic and stay quiet unless you have something helpful that pertains to the immediate discussion. If commenting on the website, keep the discussion related to the content of the Journal entry or Answer topic. If participating in a developer-oriented discussion such as a mailing list or developer IRC channel, do not create unnecessary noise by discussing non-development topics; this only derails the discussion and muddies up the logs for developers who may not be present.</p>
                <p>As a primarily online-based community, it&rsquo;s important we avoid the potentially negative aspects of the Internet. Do not troll; starting fights or making remarks with the sole purpose of making someone mad is childish and unacceptable. Spam is also unacceptable; this includes posting links to irrelevant sites and repeatedly posting links to the same site. If someone is trolling or spamming, ignore and flag the user.</p>
                <h2>V. Avoiding Conflict</h2>
                <p>If you feel someone — be it a new or longtime contributor — is coming off as rude, kindly let the person know. Getting out in front of issues before they compound is critical. Everyone has a role to play in helping communication flow smoothly in our (sometimes challengingly) unique work environment.</p>
                <h2>VI. Step Down Considerately</h2>
                <p>Life priorities, interests, and passions can change. If you're involved with an elementary-related project but feel you must remove yourself from it, do so in a way that minimizes disruption. When we work together, our work and ideas are no longer just our own; they belong to the elementary community as a whole. Inform other members of the team that you intend to step down, and if possible, help find someone to pick up your work. At the very least, ensure your work can be continued where you left off.</p>
                <h2>Consequences</h2>
                <p>If you choose not to follow this code of conduct or otherwise disrupt the community, we reserve the right to do the following: alter or remove any content you&rsquo;ve posted; deactivate your account on the website; kick you out of an IRC channel; ban you from the site, IRC channels, or related services; or otherwise prevent you from interacting with the community.</p>
                <hr>
                <p><em>The elementary Code of Conduct is licensed under the <a href="http://creativecommons.org/licenses/by-sa/3.0/" target="_blank">Creative Commons Attribution-Share Alike 3.0</a> license. Certain aspects have been inspired by the <a href="http://www.ubuntu.com/about/about-ubuntu/conduct" target="_blank">Ubuntu Code of Conduct</a>.</em></p>
            </div>
<?php
    include $template['footer'];
?>